US Options Trade Only Minute Bar
The U.S. Options Trade-Only Minute Bar dataset provides trade-derived, minute-level summaries for U.S. listed options, aggregated from executed trades disseminated via the Options Price Reporting Authority (OPRA). Each one-minute bar includes Open, High, Low, Close (OHLC) prices calculated from trades, along with Volume and VWAP for the interval. To support option-to-underlying relationship analysis, the dataset also provides the underlying asset’s bid and ask prices at the start and end of each
GEThttps://api.devalgoseek.com/api/v1/data/us-equity-opt/opt-trades-1min#
The U.S. Options Trade-Only Minute Bar dataset provides trade-derived, minute-level summaries for U.S. listed options, aggregated from executed trades disseminated via the Options Price Reporting Authority (OPRA). Each one-minute bar includes Open, High, Low, Close (OHLC) prices calculated from trades, along with Volume and VWAP for the interval. To support option-to-underlying relationship analysis, the dataset also provides the underlying asset’s bid and ask prices at the start and end of each minute. Coverage spans all U.S. equity options exchanges reporting via OPRA.
For more details, please refer to the dataset documentation: US Options Trade Only Minute Bar Guide.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Query Parameters#
- JSON
- CSV Gzip
Sorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
The trading day
2023-08-02The timestamp of the bar start (EST)
2023-08-02 09:30:00.000Symbol name
AAPLOption contract class: "C" for Call or "P" for Put
POption contract strike price
150Expiration date of the option contract
2023-08-04Price of the first trade
0.01Price of the highest Trade
0.01Price of the lowest trade
0.01Price of the last trade
0.01Underlying Ticker NBBO Bid price at time of the first option bar event
195Underlying Ticker NBBO Ask price at time of the first option bar event
195.03Underlying Ticker NBBO Bid price at time of the last option bar event
195.03Underlying Ticker NBBO Ask price at time of the last option bar event
195.06Volume-weighted average price
0.01Total number of contracts traded
10Total number of trades
4pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"TradeDate": "2023-08-02",
"BarDateTime": "2023-08-02 09:30:00.000",
"Ticker": "AAPL",
"CallPut": "P",
"Strike": 150,
"ExpirationDate": "2023-08-04",
"OpenTradePrice": 0.01,
"HighTradePrice": 0.01,
"LowTradePrice": 0.01,
"CloseTradePrice": 0.01,
"UnderOpenBidPrice": 195,
"UnderOpenAskPrice": 195.03,
"UnderCloseBidPrice": 195.03,
"UnderCloseAskPrice": 195.06,
"VolumeWeightPrice": 0.01,
"Volume": 10,
"TotalTrades": 4
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity-opt/opt-trades-1min");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!